# whatsapp-identity

> The business's WhatsApp username and the verified-badge application.

The business's WhatsApp username and the verified-badge application.

| Method | Path | Operation | Scope | Test mode |
|---|---|---|---|---|
| GET | `/v1/oba-applications` | `oba_application_list`: Verified-badge applications | `channels:read` | - |
| POST | `/v1/oba-applications` | `oba_application_start`: Start a verified-badge application | `channels:write` | - |
| POST | `/v1/oba-applications/{application_id}:submit` | `oba_application_submit`: Submit the verified-badge application | `channels:write` | - |
| PUT | `/v1/oba-applications/{application_id}/evidence` | `oba_application_evidence_put`: Add proof that the brand is widely known | `channels:write` | - |
| GET | `/v1/wa-usernames` | `wa_username_list`: Usernames reserved for this workspace | `channels:read` | - |
| POST | `/v1/wa-usernames` | `wa_username_reserve`: Reserve a WhatsApp username for this number | `channels:write` | - |
| POST | `/v1/wa-usernames:check` | `wa_username_check`: Is this WhatsApp username free? | `channels:read` | - |
| DELETE | `/v1/wa-usernames/{username_id}` | `wa_username_release`: Release a reserved WhatsApp username | `channels:write` | - |
| GET | `/v1/wa-usernames/{username_id}` | `wa_username_get`: Get one username reservation | `channels:read` | - |

Request and response schemas: the interactive reference at `https://api.wapitick.com/docs`, or `docs/api/openapi.json`.
